= form_for [@project, @page], method: @page.persisted? ? :put : :post, html: { class: 'form-horizontal' } do |f|
  -if @page.errors.any?
    #error_explanation
      .alert.alert-danger
        - @page.errors.full_messages.each do |msg|
          %p= msg

  = f.hidden_field :title, value: @page.title
  .form-group
    = f.label :format, class: 'control-label'
    .col-sm-10
      = f.select :format, options_for_select(ProjectWiki::MARKUPS, {selected: @page.format}), {}, class: "form-control"

  .row
    .col-sm-2
    .col-sm-10
      %p.cgray
        = t("projects_section.wikis.to_link_new_page")
        %code
          = t("projects_section.wikis.link_title")
        \.

  .form-group
    = f.label :content, t("projects_section.wikis.content"), class: 'control-label'
    .col-sm-10
      = f.text_area :content, class: 'form-control js-gfm-input markdown-area', rows: 18
      .col-sm-12.hint
        .pull-left
          = t("projects_section.wikis.content_parsed_with")
          = link_to t("projects_section.wikis.gitlab_flavored_markdown"), help_page_path("markdown", "markdown"), target: '_blank'
        .pull-right
          = t("projects_section.wikis.attach_images")
          = link_to t("projects_section.wikis.selecting"), '#', class: 'markdown-selector'
      .clearfix
      .error-alert
  .form-group
    = f.label :commit_message, t("projects_section.wikis.commit_message"), class: 'control-label'
    .col-sm-10= f.text_field :message, class: 'form-control', rows: 18

  .form-actions
    - if @page && @page.persisted?
      = f.submit t("projects_section.wikis.save_changes"), class: "btn-save btn"
      = link_to t("projects_section.wikis.cancel"), project_wiki_path(@project, @page), class: "btn btn-cancel"
    - else
      = f.submit t("projects_section.wikis.create_page"), class: "btn-create btn"
      = link_to t("projects_section.wikis.cancel"), project_wiki_path(@project, :home), class: "btn btn-cancel"

:javascript
  window.project_image_path_upload = "#{upload_image_project_path @project}";

